import { Observable, Subject } from "rxjs";
import dotenv from 'dotenv';
import { AdapterInterface, TransmissionRole, Transport, TransportServiceInterface } from "../interface/interface";

dotenv.config();
/* This transport manager will be instantiating the necessary transport to deal with tranmission and receiving from different receivers
So how?: */
export class AdapterBase implements AdapterInterface {
    adapterID!: string
    role!: TransmissionRole
    transport!: Transport

    protected transportService!: TransportServiceInterface

    constructor() {
        //logic here
    }

    setAdapterProfile(id: string, adapterType: Transport, role: TransmissionRole): void {
        this.adapterID = id
        this.transport = adapterType
        this.role = role
    }

}


